<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Version: 1.0
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."blog/infusion_db.php";

$inf_title = "vBlog";
$inf_description = "Fusion vBlog";
$inf_version = "1.0";
$inf_developer = "Domi";
$inf_email = "admin@venue.nu";
$inf_weburl = "http://www.venue.nu";
$inf_folder = "blog"; 

$inf_adminpanel[1] = array(
	"title" => $inf_title,
	"image" => "../../infusions/blog/img/admin.jpg",
	"panel" => "administration/admin.php",
	"rights" => "BL"
);

$inf_sitelink[1] = array(
	"title" => $inf_title,
	"url" => "index.php",
	"visibility" => "0"
);

$inf_sitelink[2] = array(
	"title" => "Bloggers",
	"url" => "bloggers.php",
	"visibility" => "0"
);

$inf_sitelink[3] = array(
	"title" => "Manage blog",
	"url" => "index.php?adminblog",
	"visibility" => "103"
);


$inf_newtable[1] = DB_VBLOG." (
  blog_id mediumint(8) unsigned NOT NULL auto_increment,
  blog_cid mediumint(8) NOT NULL default '0',
  blog_subject varchar(100) NOT NULL default '',
  blog_blog text NOT NULL,
  blog_blog2 text NOT NULL,
  blog_breaks char(1) NOT NULL default '0',
  blog_name mediumint(8) unsigned NOT NULL default '1',
  blog_datestamp int(10) unsigned NOT NULL default '0',
  blog_start int(10) unsigned NOT NULL default '0',
  blog_end int(10) unsigned NOT NULL default '0',
  blog_visibility tinyint(3) unsigned NOT NULL default '0',
  blog_reads mediumint(8) unsigned NOT NULL default '0',
  blog_allow_comments tinyint(1) unsigned NOT NULL default '1',
  blog_year smallint(4) NOT NULL default '0',
  blog_month smallint(2) NOT NULL default '0',
  blog_day smallint(2) NOT NULL default '0',
  blog_image varchar(60) NOT NULL default '',
  blog_thumb varchar(60) NOT NULL default '',
  blog_thumb2 varchar(60) NOT NULL default '',
  blog_ialign varchar(10) NOT NULL default '',
  blog_status tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (blog_id),
  KEY blog_cid (blog_cid)
) TYPE=MyISAM;";


$inf_newtable[2] = DB_VBLOG_CATS." (
  cid mediumint(8) unsigned NOT NULL auto_increment,
  sid mediumint(8) NOT NULL default '0',
  title varchar(45) NOT NULL default '',
  access tinyint(3) NOT NULL default '0',
  image varchar(45) NOT NULL default '0',
  parentid mediumint(8) NOT NULL default '0',
  status char(1) NOT NULL default '0',
  PRIMARY KEY  (cid),
  KEY sid (sid)
) TYPE=MyISAM; ";



$inf_newtable[3] = DB_VBLOG_COMMENTS." (
 comment_id smallint(5) unsigned NOT NULL auto_increment,
  comment_item_id smallint(5) unsigned NOT NULL default '0',
  comment_type char(1) NOT NULL default '',
  comment_name varchar(50) NOT NULL default '',
  comment_message text NOT NULL,
  comment_smileys tinyint(1) unsigned NOT NULL default '1',
  comment_datestamp int(10) unsigned NOT NULL default '0',
  comment_ip varchar(20) NOT NULL default '0.0.0.0',
  comment_approved char(1) NOT NULL default '',
  PRIMARY KEY  (comment_id),
  KEY comment_item_id (comment_item_id)
) TYPE=MyISAM; ";


$inf_newtable[4] = DB_VBLOG_SETTINGS." (
  msgs char(1) NOT NULL default '1',
  mpwidth varchar(10) NOT NULL default '1',
  version varchar(5) NOT NULL default '',
  max_image_size varchar(10) NOT NULL default '20480',
  theme char(1) NOT NULL default '0',
  blog_thumb_w varchar(10) NOT NULL default '',
  blog_thumb_h varchar(10) NOT NULL default '',
  blog_thumb2_w varchar(60) NOT NULL default '',
  blog_thumb2_h varchar(60) NOT NULL default '',
  blog_max_w varchar(10) NOT NULL default '',
  blog_max_h varchar(10) NOT NULL default '',
  blog_nrtolist varchar(10) NOT NULL default '',
  blog_mode char(1) NOT NULL default '',
  blog_usr varchar(10) NOT NULL default '',
  target varchar(10) NOT NULL default '',
  folderlink tinyint(1) NOT NULL default '0',
  selection tinyint(1) NOT NULL default '0',
  cookies tinyint(1) NOT NULL default '0',
  bclines tinyint(1) NOT NULL default '0',
  icons tinyint(1) NOT NULL default '0',
  statustext tinyint(1) NOT NULL default '0',
  closesamelevel tinyint(1) NOT NULL default '0',
  inorder tinyint(1) NOT NULL default '0',
  blog_cats tinyint(1) NOT NULL default '0',
  blog_imgs tinyint(1) NOT NULL default '0',
  blog_attachments tinyint(1) NOT NULL default '0',
  blog_nocats varchar(10) NOT NULL default '',
  aapprovecmts char(1) NOT NULL default ''
) TYPE=MyISAM; ";


$inf_insertdbrow[1] = DB_VBLOG_SETTINGS." (msgs, mpwidth, version, max_image_size, theme, blog_thumb_w, blog_thumb_h, blog_thumb2_w, blog_thumb2_h, blog_max_w, blog_max_h, blog_nrtolist, blog_mode, blog_usr, target, folderlink, selection, cookies, bclines, icons, statustext, closesamelevel, inorder, blog_cats, blog_imgs, blog_attachments, blog_nocats, aapprovecmts) VALUES
('1', '100%', '1.0', '2490000', '1', '150', '150', '300', '300', '2000', '2000', '6', '1', '10', '_self', 0, 0, 1, 0, 0, 1, 1, 1, 1, 1, 1, '15', '0')";

$inf_droptable[1] = DB_VBLOG;
$inf_droptable[2] = DB_VBLOG_CATS;
$inf_droptable[3] = DB_VBLOG_COMMENTS;
$inf_droptable[4] = DB_VBLOG_SETTINGS;
?>