<?php
/*--------------------------------------------------------------+
| PHP-Fusion Content Management System 				|
| Copyright  2002 - 2008 Nick Jones 				|
| http://www.php-fusion.co.uk/ 					|
+---------------------------------------------------------------+
| Author: Joakim Falk (Domi) 					|
+--------------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/admins.php";
if (!iADMIN) { die("Denied"); }


if (file_exists(INFUSIONS."blog/locale/".$settings['locale'].".php")) {
	include INFUSIONS."blog/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."blog/locale/English.php";
}


//useing Fusion 6 core photo functions included here to not be to version dependant incase of changes in these routines.
function createthumbnail($filetype, $origfile, $thumbfile, $new_w, $new_h) {
	global $settings;

	if ($filetype == 1) { $origimage = imagecreatefromgif($origfile); }
	elseif ($filetype == 2) { $origimage = imagecreatefromjpeg($origfile); }
	elseif ($filetype == 3) { $origimage = imagecreatefrompng($origfile); }
	
	$old_x = imagesx($origimage);
	$old_y = imagesy($origimage);
	
	if ($old_x > $new_w || $old_y > $new_h) {
		if ($old_x < $old_y) {
			$thumb_w = round(($old_x * $new_h) / $old_y);
			$thumb_h = $new_h;
		} elseif ($old_x > $old_y) {
			$thumb_w = $new_w;
			$thumb_h = round(($old_y * $new_w) / $old_x);
		} else {
			$thumb_w = $new_w;
			$thumb_h = $new_h;
		}
	} else {
		$thumb_w = $old_x;
		$thumb_h = $old_y;
	}
	
	if ($settings['thumb_compression'] == "gd1") {
		$thumbimage = imagecreate($thumb_w,$thumb_h);
		$result = imagecopyresized($thumbimage, $origimage, 0, 0, 0, 0, $thumb_w, $thumb_h, $old_x, $old_y);
	} else {
		$thumbimage = imagecreatetruecolor($thumb_w,$thumb_h);
		$result = imagecopyresampled($thumbimage, $origimage, 0, 0, 0, 0, $thumb_w, $thumb_h, $old_x, $old_y);
	}
	
	touch($thumbfile);

	if ($filetype == 1) { imagegif($thumbimage, $thumbfile); }
	elseif ($filetype == 2) { imagejpeg($thumbimage, $thumbfile); }
	elseif ($filetype == 3) { imagepng($thumbimage, $thumbfile); }
}

function image_exists($dir, $image) {
	$i = 1;
	$image_name = substr($image, 0, strrpos($image, "."));
	$image_ext = strrchr($image, ".");
	while (file_exists($dir.$image)) {
		$image = $image_name."_".$i.$image_ext;
		$i++;
	}
	return $image;
}


include INFUSIONS."blog/infusion_db.php";
$vblogsettings = dbarray(dbquery("SELECT * FROM ".DB_VBLOG_SETTINGS.""));

echo "<div style='width:".$vblogsettings['mpwidth']."; margin: 0px auto;'>";

                if (!isset($_GET['a_page'])){
            $_GET['a_page'] = "settings";
                }
opentable($locale['MPP700']);

if ($_GET['a_page'] == "settings"){
$tbl0 = "tbl1";
}else{
$tbl0 = "tbl2";
}
if ($_GET['a_page'] == "blog"){
$tbl3 = "tbl1";
}else{
$tbl3 = "tbl2";
}

echo "<table align='center' cellspacing='0' cellpadding='1' class='tbl-border' width='95%' border='0'><tr>
<td align='center' class='".$tbl0."' width='1%'><a href='".FUSION_SELF."?a_page=settings'>".$locale['MPP701']."</a></td>
<td align='center' class='".$tbl3."' width='1%'><a href='".FUSION_SELF."?a_page=blog'>".$locale['MPP703']."</a></td>
</tr><tr><td align='left' class='tbl1' colspan='2'>";

$ppage_set = dbarray(dbquery("SELECT * FROM ".DB_VBLOG_SETTINGS.""));

if ($_GET['a_page'] == "settings"){
include INFUSIONS."blog/administration/settings.php";
}
elseif ($_GET['a_page'] == "blog"){
include INFUSIONS."blog/administration/blogadmin.php";
}
echo "</td></tr></table></div>";
closetable();
require_once THEMES."templates/footer.php";
?>