<?php
/*--------------------------------------------------------------+
| PHP-Fusion Content Management System 				|
| Copyright  2002 - 2008 Nick Jones 				|
| http://www.php-fusion.co.uk/ 					|
+---------------------------------------------------------------+
| Author: Joakim Falk (Domi) - Modified from PHP-Fusion V6	|
+--------------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include LOCALE.LOCALESET."admin/comments.php";
include INFUSIONS."blog/infusion_db.php";

if (file_exists(INFUSIONS."blog/locale/".$settings['locale'].".php")) {
	include INFUSIONS."blog/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."blog/locale/English.php";
}

if (!checkrights("C")) die("Denied");
if (isset($_GET['comment_id']) && !isnum($_GET['comment_id'])) die("Denied");
$allowed_ctypes = array("P","B");

if (!isset($_GET['ctype']) || !in_array($_GET['ctype'], $allowed_ctypes)) die("Denied");
if (!isset($_GET['cid']) || !isnum($_GET['cid'])) die("Denied");


if (isset($_POST['save_comment'])) {
	$comment_message = @stripinput($_POST['comment_message']);
	$result = dbquery("UPDATE ".DB_VBLOG_COMMENTS." SET comment_message='$comment_message' WHERE comment_id='".$_GET['comment_id']."'");
	redirect("comments_admin.php?ctype=".$_GET['ctype']."&cid=".$_GET['cid']);

}

if (isset($_GET['step']) && $_GET['step'] == "delete") {
	$result = dbquery("DELETE FROM ".DB_VBLOG_COMMENTS." WHERE comment_id='".$_GET['comment_id']."'");
	redirect("comments_admin.php?ctype=".$_GET['ctype']."&cid=".$_GET['cid']);
}

if (isset($_GET['step']) && $_GET['step'] == "edit") {
	$result = dbquery("SELECT * FROM ".DB_VBLOG_COMMENTS." WHERE comment_id='".$_GET['comment_id']."'");
	if (!dbrows($result)) redirect("comment_admin.php?ctype=".$_GET['ctype']."&cid=".$_GET['cid']);
	$data = dbarray($result);
	tablebreak();
	opentable($locale['400']);
	echo "<form name='inputform' method='post' action='".FUSION_SELF."?comment_id=".$_GET['comment_id']."&ctype=".$_GET['ctype']."&cid=".$_GET['cid']."'>
	<table align='center' width='400' cellspacing='0' cellpadding='0'>

<tr>
<td align='center' class='tbl'><textarea name='comment_message' rows='5' class='textbox' style='width:400px'>".$data['comment_message']."</textarea><br />
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('comment_message', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('comment_message', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('comment_message', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('comment_message', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('comment_message', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('comment_message', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('comment_message', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('comment_message', '[small]', '[/small]');\">
</tr>
<tr>

<td align='center' class='tbl'><input type='submit' name='save_comment' value='".$locale['401']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
}

opentable($locale['KOM100']);

$i = 0;

$result = dbquery(
	"SELECT * FROM ".DB_VBLOG_COMMENTS." LEFT JOIN ".DB_USERS."
	ON ".DB_VBLOG_COMMENTS.".comment_name=".DB_USERS.".user_id
	WHERE comment_type='".$_GET['ctype']."' AND comment_item_id='".$_GET['cid']."' ORDER BY comment_datestamp DESC"

);

if (dbrows($result)) {
	echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
	while ($data = dbarray($result)) {
		echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>";
		if ($data['user_name']) {
			echo "<a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."' class='slink'>".$data['user_name']."</a>";
		} else {
			echo $data['comment_name'];
		}
		$comment_message = nl2br(parseubb($data['comment_message']));
		if ($data['comment_smileys'] == "1") $comment_message = parsesmileys($comment_message);
		echo "</span>
<span class='small'><br /> ".showdate("longdate", $data['comment_datestamp'])."</span><br />
".$comment_message."<br />
<span class='small'><a href='".FUSION_SELF."?step=edit&comment_id=".$data['comment_id']."&ctype=".$_GET['ctype']."&cid=".$_GET['cid']."'> ".$locale['KOM103']." </a> -
<a href='".FUSION_SELF."?step=delete&comment_id=".$data['comment_id']."&ctype=".$_GET['ctype']."&cid=".$_GET['cid']."' onclick='return DeleteItem()'> ".$locale['KOM101']." </a> -
<b>IP : ".$data['comment_ip']."</b></span>
</td>\n</tr>\n";
		$i++;
	}
	echo "</table>\n";
} else {
	echo "<center><br /> ".$locale['KOM102']." <br /><br /></center>\n";
}
closetable();
echo "<script>

function DeleteItem() {
	return confirm(\"".$locale['KOM113']."\");
}
</script>\n";
?>